<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ 
<!ENTITY nbsp
"<xsl:text xmlns:xsl='http://www.w3.org/1999/XSL/Transform' disable-output-escaping='yes'>&amp;nbsp;</xsl:text>">
]>


<!--
www.dimin.net
Copyright (c) 2008 www.dimin.net

You have the right to use it, experiment with it, fold, spindle, or mutilate it, and pretty much
do anything non-commercial and legal you'd like with it, as long as this copyright notice is retained.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:output method="html" indent="yes" encoding="UTF-8"/>

    <xsl:param name="metadata_siteInfo_title" select="/photoCollection/display/metadata/siteInfo/@title"/>
    <xsl:param name="background_color" select="concat( '#', /photoCollection/display/style/dimin/@backgroundColor)"/>
    <xsl:param name="background_color_hex" select="concat( '0x', /photoCollection/display/style/dimin/@backgroundColor)"/>

    <xsl:param name="appearance_transition" select="/photoCollection/display/style/dimin/@dimTransition"/>
    <xsl:param name="appearance_repeat" select="/photoCollection/display/style/dimin/@dimRepeat"/>
    <xsl:param name="appearance_shuffle" select="/photoCollection/display/style/dimin/@dimShuffle"/>  
    <xsl:param name="appearance_autostart" select="/photoCollection/display/style/dimin/@dimAutostart"/>              
    <xsl:param name="appearance_display_time" select="round(/photoCollection/display/style/dimin/@dimDisplayTime)"/>   
    
    <xsl:param name="appearance_volume" select="round(/photoCollection/display/style/dimin/@dimVolume)"/>   
    <xsl:param name="appearance_sound" select="/photoCollection/display/style/dimin/@dimSoundFile"/>   
    <xsl:param name="appearance_width" select="round(/photoCollection/display/style/dimin/@dimPlayerWidth)"/>   
    <xsl:param name="appearance_height" select="round(/photoCollection/display/style/dimin/@dimPlayerHeight)"/>                        




<xsl:template  match="/">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title><xsl:value-of select="$metadata_siteInfo_title"/></title>
<script type="text/javascript" src="swfobject.js"></script>
<style type="text/css">
	body {
		color: #FFF;
		font-family:sans-serif;
		font-size:40;
		background-color: <xsl:value-of select="$background_color"/>;
	}
	
	h3 {
		color: #999999;
	}
	
	a {
		color:#F60;
	}
	
	.page {
		text-align:center;
	}

</style>
</head>
<body>

<h3><xsl:value-of select="$metadata_siteInfo_title"/></h3>

<div class="page">
    <div id="container"><a href="http://www.macromedia.com/go/getflashplayer">Get the Flash Player</a> to see this slideshow.</div>
    <script type="text/javascript">
        var s1 = new SWFObject("imagerotator.swf","rotator",'<xsl:value-of select="$appearance_width"/>','<xsl:value-of select="$appearance_height"/>',"7");
        s1.addParam("allowfullscreen","true");
        s1.addVariable("file","slideshow.xml");
        
        s1.addVariable("volume",'<xsl:value-of select="$appearance_volume"/>');
        s1.addVariable("audio",'<xsl:value-of select="$appearance_sound"/>');	
        
        s1.addVariable("transition", '<xsl:value-of select="$appearance_transition"/>'); // random, fade, bgfade, blocks, bubbles, circles, flash, fluids, lines, slowfade
        s1.addVariable("repeat",'<xsl:value-of select="$appearance_repeat"/>');
        s1.addVariable("shuffle",'<xsl:value-of select="$appearance_shuffle"/>');
        s1.addVariable("autostart",'<xsl:value-of select="$appearance_autostart"/>');		
        s1.addVariable("rotatetime",'<xsl:value-of select="$appearance_display_time"/>'); // seconds
        
        s1.addVariable("width",'<xsl:value-of select="$appearance_width"/>');
        s1.addVariable("height",'<xsl:value-of select="$appearance_height"/>');
        s1.addVariable("screencolor",'<xsl:value-of select="$background_color_hex"/>');	
        s1.addVariable("backcolor",'0x000000');			
        s1.write("container");
    </script>
</div>
</body>
</html>

    </xsl:template>
    <!-- ////////////////////////////////////// END GENERATE MAIN INDEX PAGE /////////////////////////////////// -->


</xsl:stylesheet>



